import { OnInit, AfterViewInit, EventEmitter, ElementRef } from '@angular/core';
import * as models from './filter-category.model';
import { FormControl } from '@angular/forms';
export declare class FilterCategoryComponent implements OnInit, AfterViewInit {
    private _elRef;
    config: models.FilterCategoryConfig;
    primaryColor: string;
    filterData: models.FilterCategoryModel;
    limitShowNumber: number;
    seeMoreButtonText: string;
    collapseButtonText: string;
    checkChange: EventEmitter<Array<any>>;
    isCollapsed: boolean;
    isSelectAll: boolean;
    showNumber: number;
    maxItemOnScroll: number;
    selectedItems: Array<any>;
    hiddenItemsCounted: number;
    displayedItems: number;
    filterCategories: FormControl;
    itemExist: boolean;
    classList: any;
    constructor(_elRef: ElementRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private setupInitialUIStyle;
    checkBoxChange(item: any): void;
    onClearSelectedItem(selectedItem: any): void;
    private onSelectAll;
    private onSelectSingleItem;
    private checkSelectItem;
}
