export declare class LanguageItem {
    id: String;
    title: String;
}
export declare class ProfileSettingItem {
    title?: String;
    description?: String;
    url?: String;
    class?: String;
}
export declare class ActivityOwnerItem {
    title: String;
    url: String;
    active: Boolean;
    menus?: Array<any>;
    isShown?: Boolean;
    isFocused?: Boolean;
}
export declare class Options {
    showLeftIcon?: Boolean;
    showLanguage?: Boolean;
    showProfileSettings?: Boolean;
    showRightIcon?: Boolean;
}
export declare class IconItem {
    id: String;
    materialIconName?: String;
    title?: String;
    url?: String;
    isHide?: Boolean;
    isFocused?: boolean;
}
